Bug 146048 - One (1) and seven (7) on the numeric keypad do not work.
One (1) and seven (7) on the numeric keypad do not work.
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: xterm (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: X/OpenGL Maintenance List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-01-24 17:35 EST by Jerry Amundson
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-15 08:57:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry Amundson 2005-01-24 17:35:20 EST
Description of problem:
1 and 7 on the numeric keypad do not work, more specifically, they
output ^[[4~ and ^[[1~ respectively

Version-Release number of selected component (if applicable):


How reproducible:
Always.

Steps to Reproduce:
1.Open an xterm
2.Type using the numeric keypad
3.
  
Actual results:
The string "^[[4~"

Expected results:
The character "1".


Additional info:
Fixed by changing /usr/X11R6/lib/X11/app-defaults thusly:

--- XTerm       2005-01-24 16:11:27.000000000 -0600
+++ XTerm.orig  2004-09-14 16:14:40.000000000 -0500
@@ -153,6 +153,8 @@
                        <Key>Delete:    string(0x1b) string("[3~")  \n\
                        <Key>Home:      string(0x1b) string("[1~")  \n\
                        <Key>End:       string(0x1b) string("[4~")  \n\
+~@Num_Lock              <Key>KP_Home:   string(0x1b) string("[1~")  \n\
+~@Num_Lock              <Key>KP_End:    string(0x1b) string("[4~")  \n\
 Shift                   <Key>F1:        string(0x1b) string("[23~") \n\
 Shift                   <Key>F2:        string(0x1b) string("[24~") \n\
 Shift                   <Key>F3:        string(0x1b) string("[25~") \n\
Comment 1 Mike A. Harris 2005-03-07 15:39:12 EST
What version of Red Hat Enterprise Linux are you using?
This is filed against "Q3 Errata Beta".  Please update the
version field to be the particular RHEL release you're using,
and also indicate what version of xterm is installed.

Thanks in advance.
Comment 2 Mike A. Harris 2005-03-07 15:39:55 EST
Setting status to "NEEDINFO", awaiting information requested
above.
Comment 3 Jerry Amundson 2005-03-07 16:25:08 EST
Sorry. I mistook "Q3" to be Update 3, which it is not, of course. 
[root@monolith httpd]# cat /etc/redhat-release 
Red Hat Enterprise Linux AS release 3 (Taroon Update 3)
[root@monolith httpd]# rpm -q xterm
xterm-179-5.EL
Comment 4 Mike A. Harris 2005-04-15 08:57:54 EDT
1 and 7 on the numeric keypad works fine for me in RHEL 3.  Please contact
Red Hat Global Support Services to open a technical support ticket for this
issue, at https://www.redhat.com/apps/support/ or by calling 1-888-REDHAT1
and a technical support associate will be able to assist you with the
problem.  If they determine there is a defect that needs addressing, they
will escalate the issue internally to engineering for investigation once
they have acquired all of the relevant details.

Hope this helps.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.